Subject: Re: [Isms] draft-schoenw-snmp-tlsm-02.txt

From: "Tom Petch" <[email-masked]>
Date: Wed, 1 Jun 2005 16:11:53 +0200

<inline>
Tom Petch

----- Original Message -----
From: "David B Harrington" <[email-masked]>
To: "'Sam Hartman'" <[email-masked]>
Cc: "'Tom Petch'" <[email-masked]>; <[email-masked]>
Sent: Wednesday, June 01, 2005 5:42 AM
Subject: RE: [Isms] draft-schoenw-snmp-tlsm-02.txt

> Hi Sam,
>
> I would use SSH as it was designed to be used.
>
> I am not very knowledgeable about the SSH suite, but I would expect to
> use the SSH transport layer, and the SSH authentication protocol.
>

Me too (wry smile:-]

What I would like, because I do not yet have the technical skills to do it
myself, is
a comparison of SSH and TLS as they might be used by isms.  Starting with Sam's
'Thoughts on Encapsulation', I do see SSH (architecture, connection?, transport,
userauth) as the alternative to TLS if we use a reliable transport and it has
several non-technical reasons in its favour.  I suspect that both TLS and SSH
will have technical issues making them a less than good fit for isms so we may
end up, as with the architecture, with a finely balanced decision to make
sometime in the next three months.

PS I am familiar with the Netconf over SSH I-D but find it too limited to be
illuminating; it doesn't tackle the SSH issues.

<snip>

_______________________________________________
Isms mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isms